Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZXMLRPCDataTypeDecoder Class Reference

## Public Member Functions
| __construct ()

## Private Member Functions
& | decodeDataTypes ( $value)
& | decodeString ( $type)
& | decodeInt ( $type)
& | decodeDouble ( $type)
| decodeBoolean ( $type)
| decodeBase64 ( $type)
| decodeDateTime ( $type)
| decodeArray ( $type)
| decodeStruct ( $type)

## Detailed Description

! eZXMLRPC eZXMLRPCDataTypeDecoder handles decoding of XML-RPC data types.

Definition at line 36 of file ezxmlrpcdatatypedecoder.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCDataTypeDecoder::__construct | ( |  | ) |

Creates a new eZXMLRPCDataTypeDecoder object.

Definition at line 41 of file ezxmlrpcdatatypedecoder.php.

## Member Function Documentation

## ◆ decodeArray()

eZXMLRPCDataTypeDecoder::decodeArray | ( |  | $type | ) |
| private

Definition at line 229 of file ezxmlrpcdatatypedecoder.php.

References $type, and decodeDataTypes().

Referenced by decodeDataTypes().

## ◆ decodeBase64()

eZXMLRPCDataTypeDecoder::decodeBase64 | ( |  | $type | ) |
| private

Definition at line 193 of file ezxmlrpcdatatypedecoder.php.

References $content, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeBoolean()

eZXMLRPCDataTypeDecoder::decodeBoolean | ( |  | $type | ) |
| private

Definition at line 175 of file ezxmlrpcdatatypedecoder.php.

References $content, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeDataTypes()

& eZXMLRPCDataTypeDecoder::decodeDataTypes | ( |  | $value | ) |
| private

Decodes the datatypes from the XML-RPC stream and returns the appropriate value as an eZXMLRPC datatype object.

Definition at line 50 of file ezxmlrpcdatatypedecoder.php.

References $result, $type, decodeArray(), decodeBase64(), decodeBoolean(), decodeDateTime(), decodeDouble(), decodeInt(), decodeString(), and decodeStruct().

Referenced by decodeArray(), and decodeStruct().

## ◆ decodeDateTime()

eZXMLRPCDataTypeDecoder::decodeDateTime | ( |  | $type | ) |
| private

Definition at line 211 of file ezxmlrpcdatatypedecoder.php.

References $content, $date, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeDouble()

& eZXMLRPCDataTypeDecoder::decodeDouble | ( |  | $type | ) |
| private

Definition at line 159 of file ezxmlrpcdatatypedecoder.php.

References $content, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeInt()

& eZXMLRPCDataTypeDecoder::decodeInt | ( |  | $type | ) |
| private

Definition at line 143 of file ezxmlrpcdatatypedecoder.php.

References $content, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeString()

& eZXMLRPCDataTypeDecoder::decodeString | ( |  | $type | ) |
| private

Definition at line 119 of file ezxmlrpcdatatypedecoder.php.

References $content, $result, and $type.

Referenced by decodeDataTypes().

## ◆ decodeStruct()

eZXMLRPCDataTypeDecoder::decodeStruct | ( |  | $type | ) |
| private

Definition at line 260 of file ezxmlrpcdatatypedecoder.php.

References $content, $type, and decodeDataTypes().

Referenced by decodeDataTypes().

The documentation for this class was generated from the following file:

- ezxmlrpcdatatypedecoder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.